OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.PointParameters

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTPointParameters :: MonadIO m => m Bool
- gl_EXT_point_parameters :: Bool
- gl_DISTANCE_ATTENUATION_EXT :: GLenum
- gl_POINT_FADE_THRESHOLD_SIZE_EXT :: GLenum
- gl_POINT_SIZE_MAX_EXT :: GLenum
- gl_POINT_SIZE_MIN_EXT :: GLenum
- glPointParameterfEXT :: MonadIO m => GLenum -> GLfloat -> m ()
- glPointParameterfvEXT :: MonadIO m => GLenum -> Ptr GLfloat -> m ()

# Extension Support

glGetEXTPointParameters :: MonadIO m => m Bool

Is the EXT_point_parameters extension supported?

gl_EXT_point_parameters :: Bool

Is the EXT_point_parameters extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTPointParameters` in those cases instead.

# Enums

gl_DISTANCE_ATTENUATION_EXT :: GLenum

gl_POINT_FADE_THRESHOLD_SIZE_EXT :: GLenum

gl_POINT_SIZE_MAX_EXT :: GLenum

gl_POINT_SIZE_MIN_EXT :: GLenum

# Functions

glPointParameterfEXT

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `PointParameterNameARB`.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

This command is an alias for `glPointParameterf`.

glPointParameterfvEXT

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `PointParameterNameARB`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

This command is an alias for `glPointParameterfv`.